<inp2:m_include t="incs/header"/>

<inp2:m_RenderElement name="combined_header" section="in-portal:configure_lang" prefix="lang" module="core" title_preset="languages_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
  			//do not rename - this function is used in default grid for double click!
  			function edit()
  			{
  				std_edit_item('lang', 'regional/languages_edit');
  			}

  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewLanguage" escape="1"/>::<inp2:m_phrase label="la_Add" escape="1"/>',
						function() {
							std_precreate_item('lang', 'regional/languages_edit')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('lang')
						} ) );


				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_SetPrimary" escape="1"/>', function() {
							submit_event('lang','OnSetPrimary');
						}
				 ) );


				a_toolbar.AddButton( new ToolBarButton('import', '<inp2:m_phrase label="la_ToolTip_ImportLanguage" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Import" escape="1"/>', function() {
						openSelector('lang', '<inp2:m_t t="regional/languages_import" phrases.import_event="OnNew" pass="all,m,phrases.import" no_amp="1" js_escape="1"/>');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('export', '<inp2:m_phrase label="la_ToolTip_ExportLanguage" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Export" escape="1"/>', function() {
							open_popup('lang', 'OnExportLanguage', 'regional/languages_export');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('refresh', '<inp2:m_phrase label="la_ToolTip_SynchronizeLanguages" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_SynchronizeLanguages" escape="1"/>', function() {
						submit_event('lang', 'OnSynchronizeLanguages');
					}
				));

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="lang" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="lang" IdField="LanguageId" grid="Default"/>
<script type="text/javascript">
	Grids['lang'].SetDependantToolbarButtons( new Array('edit','delete','setprimary','export') );
</script>

<inp2:m_include t="incs/footer"/>